Skip to main content
GET
/
conversations
/
{conversationId}
/
messages
List Messages
curl --request GET \
  --url https://chat.botpress.cloud/{webhookUrl}/conversations/{conversationId}/messages \
  --header 'x-user-key: <x-user-key>'
{
  "messages": [
    {
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "payload": {
        "audioUrl": "<string>",
        "type": "audio"
      },
      "userId": "<string>",
      "conversationId": "<string>"
    }
  ],
  "meta": {
    "nextToken": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://botpress.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Headers

x-user-key
string
required

Authentication Key

Path Parameters

conversationId
string
required

Conversation id

Query Parameters

nextToken
string

Provide the meta.nextToken value provided in the last API response to retrieve the next page of results

Response

Returns a list of Message objects

messages
object[]
required
meta
object
required
Last modified on March 24, 2026